package org.springblade.third.zongheng.handler;

public class DeviceEndEventHandlerFactory {

	public static IDeviceEndEventHandler getEventHandler(String eventType){
		switch (eventType){
			case "FaceCapture":
				return new FaceCaptureEventHandler();
			case "FaceCompare":
				return new FaceCompareEventHandler();
			case "Person":
				return new PersonEventHandler();
			case "Alarm":
				return new AlarmEventHandler();
			case "ElectronicFence":
				return new ElectronicFenceEventHandler();
			case "CounterWire":
				return new CounterWireEventHandler();
			case "Retrograde":
				return new RetrogradeEventHandler();
			case "DetectAbsent":
				return new DetectAbsentEventHandler();
			case "DetectHat":
				return new DetectHatEventHandler();
			case "EBike":
				return new EBikeEventHandler();
			default:
				return null;
		}
	}

	public static IDeviceEndianCommandHandler getDeviceEndianCommandHandler(String command){
		switch (command){
			case "frmFacePicture":
				return new FrmFacePictureHandler();
//			case "FaceCompare":
//				return new FaceCompareEventHandler();
			default:
				return null;
		}
	}
}
